// Vertex Shader  file "shadername.vert"

#version 330 core

in float in_life;
in float in_type;
in float in_vel;
in vec4 in_position; 
in vec2 in_dir;

out float life;
out float type;
out float vel;
out vec4 position;
out vec2 dir;

void main(void)
{
	life = in_life;
	type = in_type;
	vel = in_vel;
	position = vec4(in_position);
	dir = vec2(in_dir);
}
