#version 330

uniform mat4 pvm_mat;
uniform mat4 vm_mat;
uniform mat4 normal_mat;

in vec4 in_position;
in vec3 in_normal;
in vec2 in_texture;

//out vec4 out_vertexPos;
out vec2 texCoord;
out vec4 sm_coord;
out vec3 out_normal;
out vec4 pos;

void main()
{
	vec4 newNormal = vec4(in_normal, 1);
	newNormal = normal_mat * newNormal;
	out_normal = vec3(newNormal);
	pos = vm_mat * in_position;
	gl_Position = pvm_mat * in_position;
}